# systemquery

> Distributed system information query tool.




## FAQ

### Q: I see a scary native binary build system in the development dependencies!
A: You're probably referring to [esbuild](https://esbuild.github.io/). If you install systemquery from npm, the build steps for the client-side javascript will already have been completed, thereby negating the need to install a native binary.

The advantage of using a build system for the client-side browser resources is significantly improved performance. With this approach, we get the benefit of a build system without needing to install a native binary on target machines which might be incompatible with the host machine's CPU architecture.


## Useful Links

 - [jpake](https://www.npmjs.com/package/jpake) - ~~in case our STARTTLS-based idea doesn't work~~ it didn't work :-/
 - [sql.js](https://www.npmjs.com/package/sql.js) - pure JS version of SQLite3 compiled with emscripten
     - This avoids the compiling-on-install problem may encounter with the regular `better-sqlite3` package.
