"use strict";

import ServerSentEventStream from '../ServerSentEventStream.mjs';

export default async function(sys, ctx, _next) {
	let stream = new ServerSentEventStream(ctx.response);
	
	let table_name = sys.fetch_table(ctx.params.table_name.replace(/[^0-9a-zA-Z_-]/g, ""));
	for await (let next of table_name) {
	    stream.write_json(`table`, {
			peer: {
				id: next.peer.id,
				name: next.peer.name
			},
			table: next.table
		});
	}
	stream.write_json(`end`, {});
	stream.end();
}
