"use strict";

import SystemQueryClient from './js/SystemQueryClient.mjs';
import make_router from './js/routes_client.mjs';

import GlobalUI from './js/ui/GlobalUI.mjs';
import TableView from './js/ui/TableView.mjs';

window.addEventListener("load", async (_event) => {
	const el_table = document.querySelector("main");
	
	globalThis.sysquery = new SystemQueryClient();
	globalThis.sysquery_router = make_router();
	globalThis.sysui = {
		ui: new GlobalUI(),
		tableview: new TableView(el_table),
	}
	
	await globalThis.sysui.ui.init();
	
	
	globalThis.sysquery_router.navigate_current_hash();
});
