"use strict";

import human_filesize from '../misc/human_filesize.mjs';

export default {
	name: "Hardware: CPU",
	icon: [ "square-o", "microchip" ],
	items: [
		{
			name: "Model",
			type: "table",
			content: "{{manufacturer}} {{brand}}"
		},
		{
			name: "Speed (GHz)",
			type: "table",
			content: {
				"Speed": "{{speed}}",
				"Speed (min)": "{{speedMin}}",
				"Speed (max)": "{{speedMax}}",
			}
		},
		{
			name: "Core layout",
			type: "table",
			content: {
				"Processors": "{{processors}}",
				"Cores": "{{cores}}",
				"Physical Cores": "{{physicalCores}}"
			}
		},
		{
			name: "Governor",
			type: "table",
			content: "{{governor}}"
		},
		{
			name: "Cache",
			type: "table",
			content: {
				"L1 (data)": (table) => `${human_filesize(table.cache.l1d)}`,
				"L1 (instruction)": (table) => `${human_filesize(table.cache.l1i)}`,
				"L2": (table) => `${human_filesize(table.cache.l2)}`,
				"L3": (table) => `${human_filesize(table.cache.l3)}`,
			}
		},
	]
};
